package com.zhongshu.reward.server.core.dao.Impl;

import com.github.microservice.components.data.mongo.mongo.helper.DBHelper;
import com.zhongshu.reward.server.core.dao.extend.WalletDaoExtend;
import com.zhongshu.reward.server.core.domain.Wallet;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.mongodb.core.MongoTemplate;
import org.springframework.data.mongodb.core.query.Criteria;
import org.springframework.data.mongodb.core.query.Query;
import org.springframework.data.mongodb.core.query.Update;

import java.math.BigDecimal;

/**
 * @author wjf
 * @date 2024/8/5
 */
public class WalletDaoImpl implements WalletDaoExtend {

    @Autowired
    DBHelper dbHelper;

    @Autowired
    MongoTemplate mongoTemplate;

    @Override
    public boolean resetTodayAmount() {
        Query query = Query.query(Criteria.where("todayTransferAmount").ne(BigDecimal.ZERO));
        Update update = new Update();
        update.set("todayTransferAmount", BigDecimal.ZERO);
        this.dbHelper.updateTime(update);
        return this.mongoTemplate.updateMulti(
                query, update, Wallet.class
        ).getModifiedCount() > 0;
    }
}
