package com.zhongshu.reward.server.core.domain;

import com.github.microservice.components.data.mongo.mongo.domain.SuperEntity;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.mongodb.core.index.Indexed;
import org.springframework.data.mongodb.core.mapping.Document;

import java.math.BigDecimal;

/**
 * 微信转账场景
 * @author wjf
 * @date 2024/8/5
 */
@Data
@Builder
@Document
@AllArgsConstructor
@NoArgsConstructor
public class WxTransferScene extends SuperEntity {

    /**
     * 转账场景id
     */
    @Indexed
    private String sceneId;

    /**
     * 单次转账额度
     */
    private BigDecimal onceTotal;

    /**
     * 单日转账额度
     */
    private BigDecimal dayTotal;


}
